cURL
curl --request POST \
--url https://api.fluents.ai/v1/voices/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "My Voice",
"description": "This is a description"
}
'import requests
url = "https://api.fluents.ai/v1/voices/update"
payload = {
"label": "My Voice",
"description": "This is a description"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'My Voice', description: 'This is a description'})
};
fetch('https://api.fluents.ai/v1/voices/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"label": "My Voice",
"description": "This is a description"
}{
"message": "<string>",
"error": "<string>",
"statusCode": 400
}{
"message": "<string>",
"error": "<string>",
"statusCode": 404
}Voices
Update voice
POST
/
v1
/
voices
/
update
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
Response
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"550e8400-e29b-41d4-a716-446655440000"
Available options:
voice_azure, voice_rime, voice_eleven_labs, voice_play_ht, voice_cartesia, voice_google Example:
"My Voice"
Example:
"This is a description"
Was this page helpful?
⌘I

